(function(){var UnZ=function(){if(this.IXc){this.IXc();return;}var vc=UnZ.prototype;vc.IXc=function(){this.H4q="";this.hiu="";};vc.setServerURL=function(w7c){
this.H4q=w7c;};vc.setServerIP=function(XXL){this.hiu=XXL;};vc.createSecureOutputStream=function(kZ,j5){var HXc=new ByteArray();var vR=0;var xec;
for(xec in j5){vR++;}HXc.writeInt(vR);for(xec in j5){var W39=j5[xec];this.vJ(HXc,xec);this.vJ(HXc,W39);}HXc.writeBytes(kZ,0,kZ.length);HXc.position=0;
return HXc;};vc.createSecureInputStream=function(kZ,j5){var size=kZ.readInt();for(var i=0; i<size; i++){var xec=this.q_(kZ);var W39=this.q_(kZ);
j5[xec]=W39;}var HXc=new ByteArray();HXc.writeBytes(kZ,kZ.position,kZ.length-kZ.position);HXc.position=0;return HXc;};vc.vJ=function(kZ,Fc){var i;
var cTU=Fc.length;kZ.writeInt(cTU);var v;for(i=0; i<cTU; i++){v=Fc.charCodeAt(i);kZ.writeByte((v>>>8)&255);kZ.writeByte((v>>>0)&255);}};vc.q_=function(kZ){
var cTU;var iRL,P6L;cTU=kZ.readInt();if(cTU==-1){return "<NULL>";}else{if(cTU<-1){throw new Error("A malformed string has been read in a data input stream.");
}}var Fc="";var position=kZ.position;for(var i=0; i<cTU; i++){iRL=kZ[position+i*2];P6L=kZ[position+i*2+1];if((iRL|P6L)<0){throw new Error("A malformed string has been read in a data input stream.");
}Fc+=String.fromCharCode((iRL<<8)+(P6L<<0));}kZ.position+=cTU*2;return Fc;};this.IXc();};return UnZ;})();
